package com.style24.batch.biz.task;

import com.style24.batch.biz.job.migration.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 회원(고객) Task
 * @author jsshin
 * @since 2021. 03. 08
 */
@Component
@Slf4j
public class TsbMigrationCustTask {
/*
	@Autowired
	TsbCustomerCryptoJob0 customerCryptoJob0;
	@Autowired
	TsbCustomerCryptoJob1 customerCryptoJob1;
	@Autowired
	TsbCustomerCryptoJob2 customerCryptoJob2;
	@Autowired
	TsbCustomerCryptoJob3 customerCryptoJob3;
	@Autowired
	TsbCustomerCryptoJob4 customerCryptoJob4;
	@Autowired
	TsbCustomerCryptoJob5 customerCryptoJob5;
	@Autowired
	TsbCustomerCryptoJob6 customerCryptoJob6;
	@Autowired
	TsbCustomerCryptoJob7 customerCryptoJob7;
	*/
/*
	@Autowired
	TsbCustomerCryptoJob8 customerCryptoJob8;
	@Autowired
	TsbCustomerCryptoJob9 customerCryptoJob9;
*/

	@Autowired
	TsbCustomerCryptoJobAll customerCryptoJobAll;

	@Autowired
	TsbCustAccountJob custAccountJob;
/*
	//	@Scheduled(cron = "${cron.customer.dormant.schedule}")
	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob0() throws Exception {
		customerCryptoJob0.run("customerCryptoJob0");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob1() throws Exception {
		customerCryptoJob1.run("customerCryptoJob1");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob2() throws Exception {
		customerCryptoJob2.run("customerCryptoJob2");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob3() throws Exception {
		customerCryptoJob3.run("customerCryptoJob3");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob4() throws Exception {
		customerCryptoJob4.run("customerCryptoJob4");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob5() throws Exception {
		customerCryptoJob5.run("customerCryptoJob5");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob6() throws Exception {
		customerCryptoJob6.run("customerCryptoJob6");
	}


	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob7() throws Exception {
		customerCryptoJob7.run("customerCryptoJob7");
	}
	*/
/*
	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob8() throws Exception {
		customerCryptoJob8.run("customerCryptoJob8");
	}

	@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJob9() throws Exception {
		customerCryptoJob9.run("customerCryptoJob9");
	}
*/

	//@Scheduled(fixedDelay=999999999)
	@Async
	public void customerCryptoJobAll() throws Exception {
		customerCryptoJobAll.run("customerCryptoJobAll");
	}

	//@Scheduled(fixedDelay=999999999)
	@Async
	public void custAccountJob() throws Exception {
		custAccountJob.run("custAccountJob");
	}
}
